Loading...
Searching...
No Matches
Opm::RichardsNewtonMethod< TypeTag > Class Template Reference

A Richards model specific Newton method. More...

`#include <richardsnewtonmethod.hh>`

Inheritance diagram for Opm::RichardsNewtonMethod< TypeTag >:

## Public Member Functions

| RichardsNewtonMethod (Simulator &simulator)

## Protected Member Functions

void | updatePrimaryVariables_ (unsigned globalDofIdx, PrimaryVariables &nextValue, const PrimaryVariables &currentValue, const EqVector &update, const EqVector &)
| Update a single primary variables object.

## Protected Attributes

friend | NewtonMethod< TypeTag >
friend | ParentType

## Detailed Description

template<class TypeTag>
class Opm::RichardsNewtonMethod< TypeTag >

A Richards model specific Newton method.

## Member Function Documentation

## updatePrimaryVariables_()

template<class TypeTag>

void Opm::RichardsNewtonMethod< TypeTag >::updatePrimaryVariables_ | ( | unsigned | globalDofIdx,
|  | PrimaryVariables & | nextValue,
|  | const PrimaryVariables & | currentValue,
|  | const EqVector & | update,
|  | const EqVector & | )

inline protected

Update a single primary variables object.

The documentation for this class was generated from the following file:

- opm/models/richards/richardsnewtonmethod.hh